package com.routerraiders.wifitester.dialog;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.text.Html;
import android.text.util.Linkify;
import android.widget.TextView;

import com.routerraiders.wifitester.R;

public class AboutDialog extends Dialog {
    private static Context mContext = null;

    public AboutDialog(Context context) {
	super(context);
	mContext = context;
    }

    /**
     * 
     * Standard Android on create method that gets called when the activity
     * initialized.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
	setContentView(R.layout.about);
	
	TextView legal = (TextView) findViewById(R.id.legal_text);
	legal.setText(readRawTextFile(R.raw.legal));
	
	TextView info = (TextView) findViewById(R.id.info_text);
	info.setText(Html.fromHtml(readRawTextFile(R.raw.info)));
	
	Linkify.addLinks(info, Linkify.ALL);
    }

    public static String readRawTextFile(int id) {
	InputStream inputStream = mContext.getResources().openRawResource(id);
	InputStreamReader in = new InputStreamReader(inputStream);
	BufferedReader buf = new BufferedReader(in);
	String line;
	StringBuilder text = new StringBuilder();
	try {
	    while ((line = buf.readLine()) != null)
		text.append(line);
	} catch (IOException e) {
	    return null;
	}
	return text.toString();
    }
}
